Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514019 - JDG source model with 'v' letter at beginning of a name doesn't work.
Summary: JDG source model with 'v' letter at beginning of a name doesn't work.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 6.4.0
Assignee: David Le Sage
QA Contact: Matej Kralik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 13:51 UTC by Matej Kralik
Modified: 2018-02-01 03:33 UTC (History)
7 users (show)

Doc Type: If docs needed, set a value
Doc Text:
When the name of a Red Hat JBoss Data Grid source model starts with the letter 'v', after you run a query on a materialized table you will encounter an exception. To work around this issue, avoid starting your source models with 'v' if you are using Red Hat JDG.
Clone Of:
Environment:
Last Closed: 2018-02-01 03:33:56 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-5150 Major Open JDG source model with 'v' letter at beginning of a name doesn't work. 2018-02-01 23:28:33 UTC

Description Matej Kralik 2017-11-16 13:51:16 UTC
Description of problem:
When the name of a JDG source model starts with 'v' letter, after run query at the materialized table (BooksMatView.viewBooks in attached VDB), the server shows exception:

ERROR [org.teiid.CONNECTOR] (Worker3_QueryProcessorQueue176) Connector worker process failed for atomic-request=X6jNnAMTIgyp.0.6.248: org.infinispan.client.hotrod.exceptions.HotRodClientException:Request for messageId=551 returned server error (status=0x85): java.lang.IllegalArgumentException: Message descriptor not found : endorBookJDGSource.viewBooks

For more information see linked JIRA.

Comment 2 David Le Sage 2017-11-21 04:29:19 UTC
Added to Release Notes errata as a known issue.

Comment 4 David Le Sage 2018-02-01 03:33:56 UTC
Documentation known issue verified but engineering unresolved.


Note You need to log in before you can comment on or make changes to this bug.